OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | Friends
File Class Reference

## Public Types
typedef void | Errhandler_function (MPI::File &, int *,...)
typedef Errhandler_function Errhandler_fn | __mpi_interface_deprecated__ ("MPI::File::Errhandler_fn was deprecated in MPI-2.2; use MPI::File::Errhandler_function instead")

## Public Member Functions
| File (const File &data)
| File (MPI_File i)
File & | operator= (const File &data)
File & | operator= (const MPI_File &i)
| operator MPI_File () const
void | Close ()
int | Get_amode () const
bool | Get_atomicity () const
MPI::Offset | Get_byte_offset (const MPI::Offset disp) const
MPI::Group | Get_group () const
MPI::Info | Get_info () const
MPI::Offset | Get_position () const
MPI::Offset | Get_position_shared () const
MPI::Offset | Get_size () const
MPI::Aint | Get_type_extent (const MPI::Datatype &datatype) const
void | Get_view (MPI::Offset &disp, MPI::Datatype &etype, MPI::Datatype &filetype, char *datarep) const
MPI::Request | Iread (void *buf, int count, const MPI::Datatype &datatype)
MPI::Request | Iread_at (MPI::Offset offset, void *buf, int count, const MPI::Datatype &datatype)
MPI::Request | Iread_shared (void *buf, int count, const MPI::Datatype &datatype)
MPI::Request | Iwrite (const void *buf, int count, const MPI::Datatype &datatype)
MPI::Request | Iwrite_at (MPI::Offset offset, const void *buf, int count, const MPI::Datatype &datatype)
MPI::Request | Iwrite_shared (const void *buf, int count, const MPI::Datatype &datatype)
void | Preallocate (MPI::Offset size)
void | Read (void *buf, int count, const MPI::Datatype &datatype)
void | Read (void *buf, int count, const MPI::Datatype &datatype, MPI::Status &status)
void | Read_all (void *buf, int count, const MPI::Datatype &datatype)
void | Read_all (void *buf, int count, const MPI::Datatype &datatype, MPI::Status &status)
void | Read_all_begin (void *buf, int count, const MPI::Datatype &datatype)
void | Read_all_end (void *buf)
void | Read_all_end (void *buf, MPI::Status &status)
void | Read_at (MPI::Offset offset, void *buf, int count, const MPI::Datatype &datatype)
void | Read_at (MPI::Offset offset, void *buf, int count, const MPI::Datatype &datatype, MPI::Status &status)
void | Read_at_all (MPI::Offset offset, void *buf, int count, const MPI::Datatype &datatype)
void | Read_at_all (MPI::Offset offset, void *buf, int count, const MPI::Datatype &datatype, MPI::Status &status)
void | Read_at_all_begin (MPI::Offset offset, void *buf, int count, const MPI::Datatype &datatype)
void | Read_at_all_end (void *buf)
void | Read_at_all_end (void *buf, MPI::Status &status)
void | Read_ordered (void *buf, int count, const MPI::Datatype &datatype)
void | Read_ordered (void *buf, int count, const MPI::Datatype &datatype, MPI::Status &status)
void | Read_ordered_begin (void *buf, int count, const MPI::Datatype &datatype)
void | Read_ordered_end (void *buf)
void | Read_ordered_end (void *buf, MPI::Status &status)
void | Read_shared (void *buf, int count, const MPI::Datatype &datatype)
void | Read_shared (void *buf, int count, const MPI::Datatype &datatype, MPI::Status &status)
void | Seek (MPI::Offset offset, int whence)
void | Seek_shared (MPI::Offset offset, int whence)
void | Set_atomicity (bool flag)
void | Set_info (const MPI::Info &info)
void | Set_size (MPI::Offset size)
void | Set_view (MPI::Offset disp, const MPI::Datatype &etype, const MPI::Datatype &filetype, const char *datarep, const MPI::Info &info)
void | Sync ()
void | Write (const void *buf, int count, const MPI::Datatype &datatype)
void | Write (const void *buf, int count, const MPI::Datatype &datatype, MPI::Status &status)
void | Write_all (const void *buf, int count, const MPI::Datatype &datatype)
void | Write_all (const void *buf, int count, const MPI::Datatype &datatype, MPI::Status &status)
void | Write_all_begin (const void *buf, int count, const MPI::Datatype &datatype)
void | Write_all_end (const void *buf)
void | Write_all_end (const void *buf, MPI::Status &status)
void | Write_at (MPI::Offset offset, const void *buf, int count, const MPI::Datatype &datatype)
void | Write_at (MPI::Offset offset, const void *buf, int count, const MPI::Datatype &datatype, MPI::Status &status)
void | Write_at_all (MPI::Offset offset, const void *buf, int count, const MPI::Datatype &datatype)
void | Write_at_all (MPI::Offset offset, const void *buf, int count, const MPI::Datatype &datatype, MPI::Status &status)
void | Write_at_all_begin (MPI::Offset offset, const void *buf, int count, const MPI::Datatype &datatype)
void | Write_at_all_end (const void *buf)
void | Write_at_all_end (const void *buf, MPI::Status &status)
void | Write_ordered (const void *buf, int count, const MPI::Datatype &datatype)
void | Write_ordered (const void *buf, int count, const MPI::Datatype &datatype, MPI::Status &status)
void | Write_ordered_begin (const void *buf, int count, const MPI::Datatype &datatype)
void | Write_ordered_end (const void *buf)
void | Write_ordered_end (const void *buf, MPI::Status &status)
void | Write_shared (const void *buf, int count, const MPI::Datatype &datatype)
void | Write_shared (const void *buf, int count, const MPI::Datatype &datatype, MPI::Status &status)
MPI::Errhandler | Get_errhandler () const
void | Set_errhandler (const MPI::Errhandler &errhandler) const
void | Call_errhandler (int errorcode) const

## Static Public Member Functions
static void | Delete (const char *filename, const MPI::Info &info)
static MPI::File | Open (const MPI::Intracomm &comm, const char *filename, int amode, const MPI::Info &info)
static MPI::Errhandler | Create_errhandler (Errhandler_function *function)

## Protected Attributes
MPI_File | mpi_file

## Friends
class | MPI::Comm
class | MPI::Request

The documentation for this class was generated from the following files:

- ompi/mpi/cxx/file.h
- ompi/mpi/cxx/file.cc
- ompi/mpi/cxx/file_inln.h